Name:           python-social-post-api
Version:        1.2.4
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Social Media API: Schedule posts, get analytics, manage comments for Instagram, X/Twitter, Facebook, YouTube, LinkedIn, Google Business Profile, Pinterest, Telegram, TikTok, and Reddit.

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://www.ayrshare.com
Source:         %{pypi_source social-post-api}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'social-post-api' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-social-post-api
Summary:        %{summary}

%description -n python3-social-post-api %_description


%prep
%autosetup -p1 -n social-post-api-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-social-post-api -f %{pyproject_files}


%changelog
%autochangelog